function calibrate(x)
try
if ~isempty(instrfind)
fclose(instrfind)
delete(instrfind)
end
value=serial(x);
fopen(value)
while(1)
fwrite(value,255);
pause(1)
fedx=fread(value,get(value,'BytesAvailable'));
fed2bin=dec2bin(fedx(1),8);
fed1bin=dec2bin(fedx(2),8);
fedbin =[fed1bin fed2bin];
fed=bin2dec(fedbin)
temp_read=scaling(0,4095,0,2.5,fed)*100
end
catch
    error('Error communicating with the unit-Try re-intialising');
end
end
